.. _types:

Types
=====

OptionInfo
----------

.. doxygenstruct:: mynteye::OptionInfo
   :project: mynteyes
   :members:

Resolution
----------

.. doxygenstruct:: mynteye::Resolution
   :project: mynteyes
   :members:

StreamRequest
-------------

.. doxygenstruct:: mynteye::StreamRequest
   :project: mynteyes
   :members:

Intrinsics
----------

IntrinsicsPinhole
~~~~~~~~~~~~~~~~~

.. doxygenstruct:: mynteye::IntrinsicsPinhole
   :project: mynteyes
   :members:

IntrinsicsEquidistant
~~~~~~~~~~~~~~~~~~~~~

.. doxygenstruct:: mynteye::IntrinsicsEquidistant
   :project: mynteyes
   :members:

ImuIntrinsics
~~~~~~~~~~~~~

.. doxygenstruct:: mynteye::ImuIntrinsics
   :project: mynteyes
   :members:

MotionIntrinsics
~~~~~~~~~~~~~~~~~

.. doxygenstruct:: mynteye::MotionIntrinsics
   :project: mynteyes
   :members:

Extrinsics
----------

.. doxygenstruct:: mynteye::Extrinsics
   :project: mynteyes
   :members:

ImgData
-------

.. doxygenstruct:: mynteye::ImgData
   :project: mynteyes
   :members:

ImuData
-------

.. doxygenstruct:: mynteye::ImuData
   :project: mynteyes
   :members:
